Vault deposits
curl --request GET \
--url https://apimonaco.xyz/api/v1/analytics/depositsimport requests
url = "https://apimonaco.xyz/api/v1/analytics/deposits"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apimonaco.xyz/api/v1/analytics/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/analytics/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/analytics/deposits"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/analytics/deposits")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/analytics/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"deposits": [
{
"onChainIndex": 1042,
"txHash": "0x5f2c...",
"blockNumber": 18273645,
"token": "0x23e459c24c4925ba89205c400dceca7abc11723d",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "USDC",
"amountRaw": "5000000",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"targetAccountType": "SPOT",
"depositedAt": 1762041600000,
"builder": {
"id": "789e0123-e45b-12d3-a456-426614174000",
"kind": "application",
"name": "Monaco SDK",
"code": "MON",
"color": "#112233",
"verified": true,
"group": {
"id": "5b1e2c9a-0f6d-4e8b-9a71-3c2d4e5f6a7b",
"name": "Monaco",
"code": "MON"
},
"applications": [
{
"id": "789e0123-e45b-12d3-a456-426614174000",
"name": "Monaco SDK",
"clientId": "6fe0da813f1a4adcbe675d52ca530a43",
"active": true,
"archived": false,
"additionalTakerFeeBps": 0,
"additionalMakerFeeBps": 0,
"isDefault": false
}
]
}
}
],
"pageSize": 50,
"nextPageToken": "<string>"
}Analytics
Vault deposits
Deposits, newest first.
GET
/
api
/
v1
/
analytics
/
deposits
Vault deposits
curl --request GET \
--url https://apimonaco.xyz/api/v1/analytics/depositsimport requests
url = "https://apimonaco.xyz/api/v1/analytics/deposits"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://apimonaco.xyz/api/v1/analytics/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://apimonaco.xyz/api/v1/analytics/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apimonaco.xyz/api/v1/analytics/deposits"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apimonaco.xyz/api/v1/analytics/deposits")
.asString();require 'uri'
require 'net/http'
url = URI("https://apimonaco.xyz/api/v1/analytics/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"deposits": [
{
"onChainIndex": 1042,
"txHash": "0x5f2c...",
"blockNumber": 18273645,
"token": "0x23e459c24c4925ba89205c400dceca7abc11723d",
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"symbol": "USDC",
"amountRaw": "5000000",
"destination": "0x1234567890abcdef1234567890abcdef12345678",
"targetAccountType": "SPOT",
"depositedAt": 1762041600000,
"builder": {
"id": "789e0123-e45b-12d3-a456-426614174000",
"kind": "application",
"name": "Monaco SDK",
"code": "MON",
"color": "#112233",
"verified": true,
"group": {
"id": "5b1e2c9a-0f6d-4e8b-9a71-3c2d4e5f6a7b",
"name": "Monaco",
"code": "MON"
},
"applications": [
{
"id": "789e0123-e45b-12d3-a456-426614174000",
"name": "Monaco SDK",
"clientId": "6fe0da813f1a4adcbe675d52ca530a43",
"active": true,
"archived": false,
"additionalTakerFeeBps": 0,
"additionalMakerFeeBps": 0,
"isDefault": false
}
]
}
}
],
"pageSize": 50,
"nextPageToken": "<string>"
}Query Parameters
Deposits per page (max 1000)
Required range:
1 <= x <= 1000Opaque keyset cursor from the previous response, bound to the filters.
Was this page helpful?

